## pyformex 0.8.6

=== pyformex/extra/postabq/Makefile ===
# $Id: Makefile 2140 2012-01-03 17:31:43Z bverheg $
##
##  This file is part of pyFormex 0.8.5  (Sun Dec  4 21:24:46 CET 2011)
##  pyFormex is a tool for generating, manipulating and transforming 3D
##  geometrical models by sequences of mathematical operations.
##  Home page: http://pyformex.org
##  Project page:  http://savannah.nongnu.org/projects/pyformex/
##  Copyright 2004-2011 (C) Benedict Verhegghe (benedict.verhegghe@ugent.be) 
##  Distributed under the GNU General Public License version 3 or later.
##
##
##  This program is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program.  If not, see http://www.gnu.org/licenses/.
##

#
#  Makefile for postabq
#

PREFIX= /usr/local/bin
BINDIR= $(DESTDIR)$(PREFIX)


PROGRAM= postabq
PROGRAMNAME= pyformex-postabq    # name to use for installed binary

CC= gcc
CFLAGS= -g -O3 -Wall -Wstrict-prototypes -fPIC
INSTALLBIN= install -m 0755

all: $(PROGRAM)

install: installbin

$(PROGRAM): $(PROGRAM).c
	$(CC) -o $@ $<

installbin: $(PROGRAM)
	$(INSTALLBIN) $< $(BINDIR)/$(PROGRAMNAME)

clean:
	rm -rf *.o

# End

=== debian/changelog ===
pyformex (0.8.6-4ubuntu3) trusty; urgency=medium

  * Don't try to create a link in usr/share/pyshared which doesn't exist
    anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 17:21:36 +0100

pyformex (0.8.6-4ubuntu2) quantal; urgency=low

  * Undo changes from -4ubuntu1 as the reason for them got reverted.
    The package can be synced on next occasion.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 18:25:44 +0200

pyformex (0.8.6-4ubuntu1) quantal; urgency=low

  * debian/rules:
    Don't try to create a link in usr/share/pyshared which doesn't exist
    anymore.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 20 May 2012 15:48:30 +0200

pyformex (0.8.6-4) unstable; urgency=low

  * Registered documentation with doc-base
  
  * Made pyformex-lib depend on pyformex(=${source:Version})
  
  * Restored corrupted changelog entries

 -- Benedict Verhegghe <benedict.verhegghe@ugent.be>  Wed, 18 Jan 2012 16:41:52 +0100

pyformex (0.8.6-3) unstable; urgency=low

  * Fixed building of architecture-dependent -lib package (Closes: #656294) 

 -- Benedict Verhegghe <benedict.verhegghe@ugent.be>  Wed, 18 Jan 2012 10:27:49 +0100

pyformex (0.8.6-2) unstable; urgency=low

  * Replaced build-dependency on (python,python-dev) by python-all-dev
  
  * Moved html documentation to /usr/share/doc/pyformex/html and 
    linked to it from pyformex paths.

 -- Benedict Verhegghe <benedict.verhegghe@ugent.be>  Tue, 17 Jan 2012 10:23:22 +0100

pyformex (0.8.6-1) unstable; urgency=low

  * Initial release. (Closes: #653594)

 -- Benedict Verhegghe <benedict.verhegghe@ugent.be>  Mon, 16 Jan 2012 19:42:10 +0100

=== debian/control ===
Source: pyformex
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benedict Verhegghe <benedict.verhegghe@ugent.be>
Build-Depends: debhelper (>= 8.0.0), 
	       python-all-dev (>= 2.6.6-3~), 
	       python-numpy (>=1.0), 
	       libglu1-mesa-dev
Build-Depends-Indep: libjs-jquery, libjs-underscore
Standards-Version: 3.9.2
Homepage: http://pyformex.org
Vcs-Svn: svn://svn.savannah.nongnu.org/pyformex/trunk/pyformex
Vcs-Browser: http://svn.savannah.nongnu.org/viewvc/trunk/pyformex/?root=pyformex
X-Python-Version: >= 2.5


Package: pyformex
Architecture: all
Depends: ${misc:Depends}, 
	 ${python:Depends}, 
	 python-numpy(>=1.0), 
	 python-qt4-gl, 
	 python-opengl, 
	 libglu1-mesa,
	 libjs-jquery,
	 libjs-underscore
Recommends: pyformex-lib, admesh, imagemagick, libgl2ps0, libgts-bin
Suggests: units
Description: program to create 3D geometry from Python scripts.
 pyFormex can be used to generate, transform and manipulate large
 geometrical models of 3D structures by sequences of mathematical operations.
 Unlike traditional CAD systems, pyFormex provides a powerful (Python based)
 scripting language as the basic user input, making it very well suited 
 for automated and repeated (parametric) design procedures. 
 It provides a wide range of operations on meshes, like STL type triangulated
 surfaces and FEA or CFD grids. Nurbs curves and surfaces are under development.
 pyFormex is often used to create models from medical scan images, or as a
 pre- and post-processor for Finite Element analysis programs. But it could
 just as well be used to just create some nice 3D renderings.
 .
 This package contains the architecture independent parts: the Python source
 (including GUI and examples), some data files and the full documentation.
 It does not contain:
  - the compiled acceleration libraries (install pyformex-lib), 
  - the (non-essential) extra programs and modules (see the pyformex/extra
    directory for instructions.)  
 Installing pyformex-lib is highly recommended for use with large models.


Package: pyformex-lib
Architecture: any
Depends: pyformex(=${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: program to create 3D geometry from Python scripts.
 pyFormex can be used to generate, transform and manipulate large
 geometrical models of 3D structures by sequences of mathematical operations.
 Unlike traditional CAD systems, pyFormex provides a powerful (Python based)
 scripting language as the basic user input, making it very well suited 
 for automated and repeated (parametric) design procedures. 
 It provides a wide range of operations on meshes, like STL type triangulated
 surfaces and FEA or CFD grids. Nurbs curves and surfaces are under development.
 pyFormex is often used to create models from medical scan images, or as a
 pre- and post-processor for Finite Element analysis programs. But it could
 just as well be used to just create some nice 3D renderings.
 .
 This package contains the pyFormex acceleration libraries for your 
 architecture. Installing this package will dramatically speed up
 operations on large 3D models.

=== debian/rules ===
#!/usr/bin/make -f       
# -*- makefile -*-
# debian/rules  for pyFormex, using debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

%:
	dh $@ --with python2


override_dh_install:
	dh_install -i -ppyformex --exclude=".so"
	dh_install -a -ppyformex-lib


override_dh_python2:
	dh_python2
	# Replace embedded Javascript libraries with symlinks
	set -e; if [ -d "debian/pyformex" ]; then \
		for FILENAME in jquery underscore; do \
		find $(CURDIR)/debian/pyformex -name $$FILENAME.js -print \
                -exec ln -sf /usr/share/javascript/$$FILENAME/$$FILENAME.js {} \; \
		; done; fi
	# Link documentation 
	set -e; if [ -d "debian/pyformex" ]; then \
		for py in $(shell pyversions -s); do \
		mkdir $(CURDIR)/debian/pyformex/usr/lib/$$py/dist-packages/pyformex/doc; \
		ln -sf /usr/share/doc/pyformex/html $(CURDIR)/debian/pyformex/usr/lib/$$py/dist-packages/pyformex/doc/html; \
		done; fi

=== debian/watch ===
# Watch new versions of pyFormex
version=3
http://download.savannah.gnu.org/releases/pyformex/pyformex-([0-9].+)\.tar\.gz
